TourManagerImpl (tour-manager 1.0.0-4.2.1-128328 API)
Date: 2017-02-09

org.gcube.portal.TourManager

## Class TourManagerImpl

- java.lang.Object
- - org.gcube.portal.TourManager.TourManagerImpl

- All Implemented Interfaces:
    TourManager

      public class TourManagerImpl
      extends Object
      implements TourManager

  Tour Manager Implementation class to handle users' guided tours into gCube portals.
  Author:
    Costantino Perciante at ISTI-CNR (costantino.perciante@isti.cnr.it)

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `TourManagerImpl()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `isTourShowable(String callerIdentifier, int versionNumber, String currentUser)` Check if a given tour can be shown or not.
    `void` | `setShowNextTime(String callerIdentifier, int versionNumber, boolean show, String username)` This function is invoked to request a specific action to take (@see the show value) the next time the user will see the tour uniquely identified by the couple {callerIdentifier, versionNumber}.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TourManagerImpl

          public TourManagerImpl()

  - ### Method Detail

    - #### setShowNextTime

          public void setShowNextTime(String callerIdentifier,
                                      int versionNumber,
                                      boolean show,
                                      String username)

      This function is invoked to request a specific action to take (@see the show value) the next time the user will see the tour uniquely identified by the couple {callerIdentifier, versionNumber}.
      Specified by:
        `setShowNextTime` in interface `TourManager`
      Parameters:
        `callerIdentifier` - is the unique identifier of the portlet (e.g. its name or the name of the servlet it contains, if any)
        `versionNumber` - is the unique version number for the tour
        `show` - a boolean value to show or not the tour
        `username` - the user name of the user involved.

    - #### isTourShowable

          public boolean isTourShowable(String callerIdentifier,
                                        int versionNumber,
                                        String currentUser)
                                 throws com.liferay.portal.kernel.exception.PortalException,
                                        com.liferay.portal.kernel.exception.SystemException,
                                        Exception

      Check if a given tour can be shown or not.
      Specified by:
        `isTourShowable` in interface `TourManager`
      Parameters:
        `callerIdentifier` - is the unique identifier of the portlet (e.g. the name of the portlet or the name of the servlet it contains, if any)
        `versionNumber` - is the unique version number for the tour
        `currentUser` - the user name of the user involved.
      Returns:
        true if it can be shown, false otherwise
      Throws:
        `Exception`
        `com.liferay.portal.kernel.exception.SystemException`
        `com.liferay.portal.kernel.exception.PortalException`

Copyright © 2017. All Rights Reserved.